<template lang="pug">

-
	var rutas = [
		{
			url:"#",
			titulo: "Acerca de Mobil"
		},
		{
			url:"#",
			titulo: "Ayuda"
		},
		{
			url:"#",
			titulo: "Soporte"
		}
	]

footer#pie
	p.creditos 2018&copy; #[a(href="#", title="Mobil", target="_blank") Mobil ]

	div.enlaces
		each ruta in rutas
			router-link(to=ruta.url)=ruta.titulo


</template>

<script>
	export default {
		name: "Pie"
	};
</script>


<style lang="stylus" scoped>
	@import "~nib/index"
	@import "../stylus/base/utiles.styl"

	#pie
		display grid
		grid-template-columns 25vw 1fr
		grid-column-gap 1rem
		grid-template-areas "creditos enlaces"
		justify-items start
		align-items center
		color gris
		background-color lighten( gris, 90% )
		// background-image linear-gradient(white, lighten( gris, 50% ))
		font-size calcRem( 10 )
		height 40px
		padding 1rem

		.creditos
			grid-area creditos

		a
			color gris
			text-decoration none

		.enlaces
			justify-self end
			display flex
			justify-content flex-end
			align-items center

			a
				display block
				padding-right 1em

				&:hover
					color tint( azul, 30% )

				& + a::before
					content ""
					display inline-block
					height 1em
					vertical-align middle
					border-left 1px solid gris
					margin-right 1rem
</style>
